#ifndef LOCKER_H
#define LOCKER_H

#include <QObject>

class QTimer;
class Locker : public QObject
{
	Q_OBJECT
public:
	static Locker* Instance();
	void start();
	void setTimer(int interval);

public slots:
	void refreshTimer();
	void coverScreen();
private:
	Locker();
	~Locker();

	QTimer* screenTimer = nullptr;
	int counter = 30000;

	static Locker* locker;
};

#endif // LOCKER_H
